import request from '@/config/axios'

export interface RunTimeVO {
  id: string
  rq: string,
  bc: string,
  lsh: string,
  scxm: string,
  runTimeType: string,
  xss: number,
  fzs: number,
  bz: string
}

export interface RunTimePageReqVO extends PageParam {

}

// 查询RunTime列表
export const getRunTimePage = (params: RunTimePageReqVO) => {
  return request.get({ url: '/xmcpms/order-prod/device/runTime/page', params })
}

// 查询RunTime列表
export const getPointList = (params: RunTimePageReqVO) => {
  return request.get({ url: '/xmcpms/order-prod/device/runTime/list', params })
}

// 查询RunTime详情
export const getRunTime = (id: number) => {
  return request.get({ url: `/xmcpms/prod/device/runTime/info/${id}`})
}

// 新增RunTime
export const createRunTime = (data: RunTimeVO) => {
  return request.post({ url: '/xmcpms/order-prod/device/runTime/create', data })
}

// 修改RunTime
export const updateRunTime = (data: RunTimeVO) => {
  return request.put({ url: '/xmcpms/order-prod/device/runTime/update', data })
}

// 删除RunTime
export const deleteRunTime = (id: number) => {
  return request.delete({ url: '/xmcpms/order-prod/device/runTime/delete?id=' + id })
}

//导出RunTimeList
export const exportRunTime = (params) => {
  return request.download({ url: '/xmcpms/order-prod/device/runTime/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/order-prod/device/runTime/get-import-template' })
}
